Subject: I-D ACTION:draft-ietf-rps-extending-00.txt

From: [email-masked]
Date: Sat, 22 Nov 1997 12:49:48 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Routing Policy System Working Group of the IETF.

	Title		: Guidelines for Extending RPSL
	Author(s)	: D. Meyer, C. Alaettinoglu, D. Kessens
	Filename	: draft-ietf-rps-extending-00.txt
	Pages		: 4
	Date		: 21-Nov-97
	
This Internet Draft  describes guidelines for  extending the Routing  Policy
Specification Language  (RPSL) [3,  4].    Our  experiences with  PRDB  [2],
RIPE-81 [6], and  RIPE-181 [5]  taught us  that RPSL had  to be  extensible.
These languages were not  extensible and each transition  to a new  language
turned out to be quite  painful.  As a  result, extensibility was a  primary
design goal for  RPSL. New  routing protocols  or new  features to  existing
routing protocols can be easily handled using RPSL's dictionary class.   New
classes or new attributes to the existing classes can also be added.

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-rps-extending-00.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-rps-extending-00.txt

Internet-Drafts directories are located at:

	Africa:	ftp.is.co.za
	
	Europe: ftp.nordu.net
		ftp.nis.garr.it
			
	Pacific Rim: munnari.oz.au
	
	US East Coast: ds.internic.net
	
	US West Coast: ftp.isi.edu

Internet-Drafts are also available by mail.

Send a message to:	[email-masked].  In the body type:
	"FILE /internet-drafts/draft-ietf-rps-extending-00.txt".
	
NOTE:	The mail server at ds.internic.net can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.